<?php

/**
 * Website Baker template: intwerb_2.de
 * 
 * Original design: intwerb_2.de1 (v3.0 - Feb 15, 2009) - A free xhtml/css website template by Andreas Dupp.
 * For more information, see http://www.dupp.de/
 * Ported to Website Baker by M. Gallas.
 *
 * This file contains defintions for the CSS layout and the styles shown in the frontend.
 *
 * LICENSE: GNU General Public License 3.0
 * 
 * @author     Andreas Dupp
 * @copyright  Andreas Dupp (c) 02, 2009
 * @license    http://www.gnu.org/licenses/gpl.html
 * @version    3.00
 * @platform   Website Baker 2.7.0
*/

// redirect if this file is invokded directly
if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<title><?php page_title(); ?></title>
<meta name="keywords" content="<?php page_keywords(); ?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="author" content="Dupp Andreas" />
<meta name="copyright" content="Dupp Andreas" />
<meta name="revisit-after" content="after 12 days" />
<meta name="robots" content="index,follow" />
<meta name="audience" content="Alle" />

<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link href="<?php echo TEMPLATE_DIR; ?>/template.css" rel="stylesheet" type="text/css" media="screen" />
<link rel="Shortcut Icon" type="image/x-icon" href="<?php echo TEMPLATE_DIR; ?>/images/favicon.ico" />

<?php 
// this allows to add custom information to the head section of your template (WB-->Settings-->Website Header)
//page_header();
// function to include optional module frontend.css/frontend.js files automatically
if (function_exists('register_frontend_modfiles')) {
	register_frontend_modfiles('css');
   	register_frontend_modfiles('js');
} ?>
<script type="text/javascript">
<!--
function printWindow(){
   bV = parseInt(navigator.appVersion)
   if (bV >= 4) window.print()
}
//-->
</script>
</head>
<body>
<div id="container">
	<div id="header"></div>
	<div id="submenu">
		<div id="kopf">
			<?php show_menu(2,0,1); ?>
		</div>
	</div>
	<div id="content">
		<div id="left">
			<div id="left1_section1">
				<div id="menu">
					<?php show_menu(1,0,-1); ?>
				</div>
			</div>
			<div id="left1_section2">
				<?php if(SHOW_SEARCH) { ?>
					<br />
					<form name="search" action="<?php echo WB_URL.'/search/index.php'; ?>" method="get">
						<input type="text" name="string" class="searchfield" size="8" />
						<input type="submit" name="submit" value="<?php echo $TEXT['SEARCH']; ?>" class="searchfield" />
					</form>
				<?php }	if(FRONTEND_LOGIN == 'enabled' AND VISIBILITY != 'private' AND $wb->get_session('USER_ID') == '') {	?>
					<form name="login" action="<?php echo LOGIN_URL; ?>" method="post" class="login_table">
						<?php echo $TEXT['USERNAME']; ?>:
						<br />
						<input type="text" name="username" style="text-transform: lowercase;" size="19" />
						<?php echo $TEXT['PASSWORD']; ?>:
						<br />
						<input type="password" name="password" size="19" />
						<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" style="margin-top: 3px; text-transform: uppercase;" />
						<br />
						<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
						<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
							<br />
							<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
						<?php } ?>
					</form>
				<?php } elseif(FRONTEND_LOGIN == 'enabled' AND is_numeric($wb->get_session('USER_ID'))) { ?>
					<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post" class="login_table">
						<?php echo $TEXT['WELCOME_BACK']; ?>, <?php echo $wb->get_display_name(); ?>
						<br />
						<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
						<br />
						<a href="<?php echo PREFERENCES_URL; ?>"><?php echo $MENU['PREFERENCES']; ?></a>
						<br />
						<a href="<?php echo ADMIN_URL; ?>/index.php"><?php echo $TEXT['ADMINISTRATION']; ?></a>
					</form>
				<?php } ?>
			</div>
			<div class="clearfix"></div>
		</div>
		<div id="right">			
			<?php page_content(); ?>
		<div id="print">
				<a href="javascript:printWindow()"><img src="<?php echo TEMPLATE_DIR; ?>/images/print.gif" alt="Drucken" border="0" align="right" hspace="0" /></a>
			</div>	
		</div>
		<div class="clearfix"></div>
	</div>
    <div id="footer">
		<div id="footermenu">
			<?php show_menu(3,0,1); ?>
		</div>
	</div>
</div>
<p align="center">
	<font face="Arial" size="1">Konzeption und Realisierung mit <a href="http://www.websitebaker.org">Websitebaker</a> durch <strong><a target="_blank" href="http://www.dupp.de">Dupp Datensysteme GmbH</a></strong></font>
</p>
</body>
</html>